output remote_accounts {
  value = local.remote_accounts
}

output tgw_id {
  value = aws_ec2_transit_gateway.tgw.id
}

output tgw_arn {
  value = aws_ec2_transit_gateway.tgw.arn
}

output resource_share_arns {
  value = {
    for k, v in aws_ram_principal_association.share_with_accounts:
      k => v.resource_share_arn
  }
}
